static const char index_html[] PROGMEM = R"=====(
<!DOCTYPE html>
<html>
<head>
<meta name='viewport' content='width=device-width, initial-scale=1'>
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<style>
*{
    box-sizing: border-box;
}
label {
    padding: 12px 12px 12px 0;
    display: inline-block;
}
button {
    background-color: #1080AF;
    color: white;
    width: 100%;
    padding: 32px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    float: left;
    margin-top: 12px;
    margin-bottom: 12px;
}
button:hover {
    background-color: #00608F;
}
.container {
    border-radius: 5px;
    padding: 20px;
    width: 300px;
}
.row:after {
    content: '';
    display: table;
    clear: both;
}
.progress-container {
	background: #d0d0d0;
}
#progress-bar {
	background:red;
	height:20px;
	width:0;
}
@media screen and (max-width: 600px) {
    container {
        width: 100%;
        min-height: 50px;
    }
}
</style>
</head>

<body>
<div class='container'>
  <div class="progress-container"">
	<div id="progress-bar"></div>
  </div>
  <span id="display"> </span>
  <div class='row'>
    <button type="button" name="Short" onclick="sendData(1)">SHORT (120 + 30s)</button>
  </div>
  <div class='row'>
    <button type="button" name="Medium" onclick="sendData(2)">MEDIUM (160 + 30s)</button>
  <div class='row'>
    <button type="button" name="Long" onclick="sendData(3)">LONG (180 + 30s)</button>
  </div>
  <div class='row'>
    <button type="button" name="Extra" onclick="sendData(4)">EXTRA (30s)</button>
  </div>
  <div class='row'>
    <button type="button" name="Stop" onclick="sendData(0)">STOP</button>
  </div>
</div>
</body>

<script>
function sendData(data) {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
      // document.getElementById("display").innerHTML = this.responseText;
      if(this.responseText == "Stop") {
        var elem = document.getElementById("progress-bar");
        elem.style.width = '0%';
      }
    }
  };
  xhttp.open("GET", "select_action?action="+data, true);
  xhttp.send();
}

setInterval(function() {getData();}, 2000); //2000 mSeconds update rate

function getData() { // The progress bar
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
  	  var elem = document.getElementById("progress-bar");
      elem.style.width = this.responseText + '%'; 
    }
  };
  xhttp.open("GET", "progress_update", true);
  xhttp.send();
}
</script>
</html>
)=====";
